> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update status and/or limits for the specified client

> Modify client account settings including status, resource limits, and plan assignment.
Use this to enable/disable clients or adjust their quotas.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_reseller_api.yaml put /fastedge/v1/admin/clients/{client_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Reseller Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: FastEdge Reseller Apps
    x-displayName: Apps
  - description: Plans are sets of limits (memory amount, timeout), applied to edge apps
    name: Plans
    x-displayName: Plans
  - description: Client groups for template visibility
    name: Groups
    x-displayName: Groups
  - description: Billing and BI-related APIs
    name: Billing
    x-displayName: Billing
  - name: fastedge_reseller_other
    x-displayName: other
paths:
  /fastedge/v1/admin/clients/{client_id}:
    put:
      tags:
        - FastEdge Reseller Clients
      summary: Update status and/or limits for the specified client
      description: >-
        Modify client account settings including status, resource limits, and
        plan assignment.

        Use this to enable/disable clients or adjust their quotas.
      operationId: updateClient
      parameters:
        - description: Unique identifier of the client
          in: path
          name: client_id
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/clientUpdate'
        description: Updated client configuration (status, limits, and quotas)
        required: false
      responses:
        '204':
          description: Client updated successfully
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
        '401':
          description: Unauthorized - insufficient permissions
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Service temporarily unavailable
components:
  schemas:
    clientUpdate:
      type: object
      required:
        - plan_id
        - networks
      properties:
        plan_id:
          type: integer
          format: int64
          description: Plan ID
        networks:
          type: array
          description: List of available networks
          items:
            type: string
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````